Subject: Re: bug#31305: 27.0.50; Symlinks recognized as dirs

From: Alan Third <[email-masked]>
Date: Sun, 29 Apr 2018 21:50:00 +0100

On Sun, Apr 29, 2018 at 04:25:08PM -0400, Noam Postavsky wrote:
> Alan Third <[email-masked]> writes:
> 
> > I could have sworn we fixed this, but I can’t find the previous bug
> > report.
> 
> Looks similar to Bug#28865 "broken symlink behaviour in read-file-name
> on OS X (High Sierra)".

That’s it exactly. Thanks Noam!

With further testing I’ve discovered that although I can’t replicate
it with my locally built version, I can with an emacsformacosx.com
build.

I guess that means either Paul’s fix doesn’t work on macOS 10.9, or
David needs to update something in his build tree.
-- 
Alan Third